Support

Retrieve pending renewal status

View as Markdown

Returns current server certificate renewal status for the agent, if one exists.

Full description

Returns current server certificate renewal status for the agent, if one exists. Use to check ACME verification progress, poll for certificate issuance, retrieve challenges if the POST response was lost, or get the TLSA record after completion.

GET
/v1/agents/{agentId}/certificates/server/renewal

Path Parameters

agentId*string

Unique identifier of the agent (UUID format)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string/certificates/server/renewal"
{  "renewalType": "SERVER_CSR",  "status": "PENDING_VALIDATION",  "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d",  "challenges": {    "dns01": {      "dnsRecord": {        "name": "_acme-challenge.agent.example.com",        "type": "TXT",        "value": "string"      },      "expiresAt": "2019-08-24T14:15:22Z",      "httpPath": "/.well-known/acme-challenge/xyz123",      "keyAuthorization": "string",      "token": "string",      "type": "DNS_01"    },    "http01": {      "dnsRecord": {        "name": "_acme-challenge.agent.example.com",        "type": "TXT",        "value": "string"      },      "expiresAt": "2019-08-24T14:15:22Z",      "httpPath": "/.well-known/acme-challenge/xyz123",      "keyAuthorization": "string",      "token": "string",      "type": "DNS_01"    }  },  "tlsaDnsRecord": {    "name": "string",    "priority": 0,    "purpose": "DISCOVERY",    "required": true,    "ttl": 3600,    "type": "HTTPS",    "value": "string"  },  "failureReason": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "nextStep": {    "action": "CONFIGURE_DNS",    "description": "string",    "endpoint": "http://example.com"  }}

Last updated on

How is this guide?